# The MEME Suite

## Motif-based sequence analysis tools

## reconcile-tree-alignment

### Usage:

`reconcile-tree-alignment <input tree> <input alignment> <output tree> <output alignment>`

### Description

Given a tree and an alignment, identify the intersection of the sets of sequence IDs and leaf labels. Trim the extra sequences and leaves and print the resulting alignment and tree.

### Input

#### Input Tree

A tree in Newick format.

#### Input Alignment

A DNA or protein sequence alignment in clustalw format. The alignment can be read from standard input if a "-" is given instead of a file name.

#### Output Tree

The file name to save the reconciled Newick format tree.

#### Output Alignment

The file name to save the reconciled clustalw format sequence alignment.

### Output

The reconciled versions of the tree and alignment are written out to the provided file names.